<?php
/**
 * Customer Win Back Helper.
 *
 * @package MailMintPro\App\Utilities\Helper
 * @namespace MailMintPro\App\Utilities\Helper
 * @author [getwpfunnels Team]
 * @email [support@getwpfunnels.com]
 * @create date 2023-12-30 11:03:17
 * @modify date 2023-12-30 11:03:17
 */

namespace MailMintPro\App\Utilities\Helper;

use DateTime;

/**
 * MintCustomerWinBack class
 *
 * MintCustomerWinBack helper class.
 *
 * @package MailMintPro\App\Utilities\Helper
 * @namespace MailMintPro\App\Utilities\Helper
 *
 * @version 1.7.1
 */
class MintCustomerWinBack {

    public static function is_start_date_satisfied( $settings ) {
		$start_date  = isset( $settings['start_on'] ) ? $settings['start_on'] : '';
		$start_time  = isset( $settings['run_at'] ) ? $settings['run_at'] : '';
		$schedule_at = $start_date . ' ' . $start_time;

		// Get the current date and time
		$current_time = new DateTime();

		// Set the target date and time for comparison
		$target_time = new DateTime($schedule_at);
		if( $current_time < $target_time ) {
			return false;
		}
        return true;
	}
}